Add script to convert pkla files to JS-based rules config

At the moment at least Debian sticks to polkit version 0.105 since
they have concerns about the JS-based rules config and the migration
of old pkla configurations, compare [1].

To dispel the converns about automatic migration I developed a little
helper to convert most kinds of pkla config files to JS. I know this
is mainly a Debian-specific problem but maybe upstream is interested
to provide the helper as well.

[1] https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=946231

Signed-off-by: Jan Luca Naumann <j.naumann@fu-berlin.de>
1 job for pkla2rule in 2 minutes and 24 seconds
latest
Status Job ID Name Coverage
  Test
passed #4630435
build_stable

00:02:24